#!/bin/bash

INPUT=/gpfs/scratch/bsc32/bsc32786/%EXPID%/EXP00/

module load python

function makecsv {

parameters="$(python - $1 << END

import numpy as np
import os
import pandas

dir=$1

os.chdir(dir+'/parameters')

parameters=pandas.read_csv('00.csv')
parameters[3]=np.nan

members=os.listdir(os.getcwd())
members=[i for i in members if i[:2]=='fc' if len(i)==4]

for member in members:
    ind=int(member[2:])
    os.chdir(dir+member)
    f=open('cost.txt','r')
    cost=float(f.read())
    f.close()
    print(cost)
    parameters[3][ind]=cost
print(parameters)

os.chdir(dir+'/parameters')
gen=len(os.listdir(dir+'/parameters'))
print(gen)
gen="{0:0=2d}".format(gen)+'.csv'

parameters.to_csv(gen)

END
)"
}

makecsv input